@import url(https://fonts.googleapis.com/css2?family=Open+Sans:wght@600&family=Raleway&display=swap);
*, ::before, ::after{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    font-family: 'Raleway', sans-serif;
    background: rgb(156,114,137); 
    background: radial-gradient(circle, rgba(156,114,137,0.9948354341736695) 10%, rgba(65,13,40,1) 43%) no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

header{
    padding: 4vh 3vw;
    text-align: center;
}

h1{
    font-size: 6vw;
    color: white;
}

h2{
    font-size: 3vw;
    color: rgb(148, 3, 117);
}

.count{
    background: rgba(255, 255, 255, 0.25);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    -moz-backdrop-filter: blur(4px);
    -o-backdrop-filter: blur(4px);
    padding: 2em;
    border-top: 1px solid white;
    border-right: 1px solid white;
    background-color: rgba(255, 255, 255, 0.6);
    box-shadow: 0 .2em .5em rgba(0, 0, 0, 0.5);
    border-radius: .3em;
}

.count > span{
    display: block;
    margin: 2vh 0;
    font: bold 1.7em 'Open Sans', sans-serif;
}

main{
    width: 60%;
    margin: auto;
    padding: 3vh 0 10vh 0;
}

#counts, #buttons{
    padding: 3vh 1vw;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

input[type="button"]{
    padding: 0.5em;
    background-color:rgb(148, 3, 117);
    color: white;
    font-size: 1.5em;
    text-transform: uppercase;
    letter-spacing: 0.05em;
    border: none;
    border-radius: .3em;
    box-shadow: 0 .2em .5em rgba(0, 0, 0, 0.3);
    transition: all 500ms ease-in-out;
}

input[type="button"]:hover,
input[type="button"]:active{
    cursor: pointer;
    font-weight: 600;
    color:rgb(148, 3, 117);
    background-color: white;
    border-bottom: 0.5px solid black;
}

.count, #displayCycle{
    text-align: center;
}

#displayCycle{
    padding: 1vh 0;
    border-top: 1px dotted white;
    border-bottom: 1px dotted white;
    color: white;
    font-size: 1.5em;
}

footer{
    color: white;
    font-size: 0.9em;
    text-align: center;
    line-height: 1.8em;
}

footer a{
    text-decoration: none;
    color: white;
    font-weight: 500;
}

footer a:hover,
footer a:active{
    text-decoration: underline;
}

@media (max-width:700px){
    
    main{
        width: 65%;
    }

    input[type="button"]{
        padding: 0.5em;
        font-size: 1em;
    }

}

@media (max-width:495px){
    
    main{
        width: 80%;
    }

    .count{
        padding: 1.2em;
    }

    #counts, #buttons{
        justify-content: space-evenly;
    }

    input[type="button"]{
        padding: 0.7em;
        font-size: 0.8em;
    }

}
